classification
Title: Enhance regrtest: meta-ticket for multiple changes
Type: enhancement Stage: resolved
Components: Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, vstinner
Priority: normal Keywords: patch

Created on 2018-05-31 14:05 by vstinner, last changed 2018-09-19 23:06 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7291 merged vstinner, 2018-05-31 22:31
PR 7292 merged vstinner, 2018-05-31 22:52
PR 7305 merged vstinner, 2018-06-01 09:24
PR 7325 merged vstinner, 2018-06-01 16:11
PR 7402 merged vstinner, 2018-06-04 16:52
PR 7521 merged vstinner, 2018-06-08 07:24
PR 7560 merged miss-islington, 2018-06-09 16:15
PR 7561 merged miss-islington, 2018-06-09 16:16
PR 7562 merged vstinner, 2018-06-09 16:19
PR 7686 merged vstinner, 2018-06-14 00:27
PR 7935 merged vstinner, 2018-06-26 21:11
PR 7936 merged vstinner, 2018-06-26 21:31
PR 7937 merged vstinner, 2018-06-26 21:52
Messages (14)
msg318314 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-31 14:05
Lib/test/libregrtest/ (python3 -m test) is the test runner used to run the Python test suite.

I create this issue to have a bpo number for future enhancements.

Example of recent enhancements:

* https://github.com/python/cpython/pull/7105
* https://github.com/python/cpython/pull/7159

This issue should also help me to make sure that I backport enhancements from master to 2.7, 3.6 and 3.7 branches.
msg318350 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-31 22:49
New changeset 9e24930dfdc28e16dabbfd7dd1ead1336b7b0d6c by Victor Stinner in branch 'master':
bpo-33718: regrtest keeps filters to re-run fails (GH-7291)
https://github.com/python/cpython/commit/9e24930dfdc28e16dabbfd7dd1ead1336b7b0d6c
msg318373 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-01 09:04
New changeset 7ad16eb51c7871320edb789ddb6184c6c76304b0 by Victor Stinner in branch 'master':
bpo-33718: regrtest: enhance "running:" formatting (GH-7292)
https://github.com/python/cpython/commit/7ad16eb51c7871320edb789ddb6184c6c76304b0
msg318389 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-01 10:29
New changeset 3dd802d8f287e8f11848cfb068cf73000a9d0d94 by Victor Stinner in branch '3.7':
bpo-33718: regrtest: update from master (GH-7305)
https://github.com/python/cpython/commit/3dd802d8f287e8f11848cfb068cf73000a9d0d94
msg318440 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-01 17:39
New changeset 137e80346ff65ad917f733d9b077e530a4797ec5 by Victor Stinner in branch '3.6':
bpo-33718: Update regrtest from master (GH-7325)
https://github.com/python/cpython/commit/137e80346ff65ad917f733d9b077e530a4797ec5
msg318694 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-04 20:25
New changeset a30d587eb55cbf3b9af65b9883e87c1255ecba75 by Victor Stinner in branch '2.7':
[2.7] bpo-33718: Update regrtest from master (GH-7402)
https://github.com/python/cpython/commit/a30d587eb55cbf3b9af65b9883e87c1255ecba75
msg319031 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-08 07:54
New changeset c45fc7673e23f911639d10d3771ffef7be870c7a by Victor Stinner in branch 'master':
bpo-33718: regrtest: use "xxx then yyy" result if re-run (GH-7521)
https://github.com/python/cpython/commit/c45fc7673e23f911639d10d3771ffef7be870c7a
msg319153 - (view) Author: miss-islington (miss-islington) Date: 2018-06-09 16:33
New changeset 463d1890bb29b66aed431734bb76e366301a0fa5 by Miss Islington (bot) in branch '3.7':
bpo-33718: regrtest: use "xxx then yyy" result if re-run (GH-7521)
https://github.com/python/cpython/commit/463d1890bb29b66aed431734bb76e366301a0fa5
msg319154 - (view) Author: miss-islington (miss-islington) Date: 2018-06-09 16:35
New changeset 07aea160ca2dd8814a28afe73e6a72c2b3cbf38a by Miss Islington (bot) in branch '3.6':
bpo-33718: regrtest: use "xxx then yyy" result if re-run (GH-7521)
https://github.com/python/cpython/commit/07aea160ca2dd8814a28afe73e6a72c2b3cbf38a
msg319160 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-09 16:59
New changeset b4f8bc56c1f19561b936be7347fa594ccd70d025 by Victor Stinner in branch '2.7':
bpo-33718: regrtest: use "xxx then yyy" result if re-run (GH-7521) (GH-7562)
https://github.com/python/cpython/commit/b4f8bc56c1f19561b936be7347fa594ccd70d025
msg319511 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-14 12:58
New changeset 4ffe9c2b251f6e027b26250b7a2618e78d4edd22 by Victor Stinner in branch 'master':
bpo-33718: regrtest: use format_duration() to display failed tests (GH-7686)
https://github.com/python/cpython/commit/4ffe9c2b251f6e027b26250b7a2618e78d4edd22
msg320515 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-26 21:47
New changeset d1f9481b7a2d31c40fca1347ef99d819eb656ce7 by Victor Stinner in branch '3.7':
bpo-33873: Backport regrtest from master to 3.7 (GH-7935)
https://github.com/python/cpython/commit/d1f9481b7a2d31c40fca1347ef99d819eb656ce7
msg320518 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-26 21:57
New changeset 5430c14aba319f83b18879575244ba429e8c1d81 by Victor Stinner in branch '2.7':
[2.7] bpo-33873: Backport regrtest from master (GH-7936)
https://github.com/python/cpython/commit/5430c14aba319f83b18879575244ba429e8c1d81
msg320523 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-26 22:44
New changeset 1d55888a78bcefed3723fb7e48df2a75b4f0adb0 by Victor Stinner in branch '3.6':
bpo-33873: Backport regrtest from master to 3.7 (GH-7935) (GH-7937)
https://github.com/python/cpython/commit/1d55888a78bcefed3723fb7e48df2a75b4f0adb0
History
Date User Action Args
2018-09-19 23:06:44vstinnersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-06-26 22:44:51vstinnersetmessages: + msg320523
2018-06-26 21:57:15vstinnersetmessages: + msg320518
2018-06-26 21:52:24vstinnersetpull_requests: + pull_request7547
2018-06-26 21:47:39vstinnersetmessages: + msg320515
2018-06-26 21:31:39vstinnersetpull_requests: + pull_request7545
2018-06-26 21:11:59vstinnersetpull_requests: + pull_request7543
2018-06-14 12:58:24vstinnersetmessages: + msg319511
2018-06-14 00:27:20vstinnersetpull_requests: + pull_request7299
2018-06-09 16:59:21vstinnersetmessages: + msg319160
2018-06-09 16:35:39miss-islingtonsetmessages: + msg319154
2018-06-09 16:33:27miss-islingtonsetnosy: + miss-islington
messages: + msg319153
2018-06-09 16:19:15vstinnersetpull_requests: + pull_request7194
2018-06-09 16:16:02miss-islingtonsetpull_requests: + pull_request7193
2018-06-09 16:15:10miss-islingtonsetpull_requests: + pull_request7192
2018-06-08 07:54:01vstinnersetmessages: + msg319031
2018-06-08 07:24:44vstinnersetpull_requests: + pull_request7149
2018-06-04 20:25:57vstinnersetmessages: + msg318694
2018-06-04 16:52:10vstinnersetpull_requests: + pull_request7028
2018-06-01 17:39:40vstinnersetmessages: + msg318440
2018-06-01 16:11:27vstinnersetpull_requests: + pull_request6954
2018-06-01 10:29:42vstinnersetmessages: + msg318389
2018-06-01 09:24:36vstinnersetpull_requests: + pull_request6937
2018-06-01 09:04:48vstinnersetmessages: + msg318373
2018-05-31 22:52:47vstinnersetpull_requests: + pull_request6919
2018-05-31 22:49:01vstinnersetmessages: + msg318350
2018-05-31 22:31:54vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request6918
2018-05-31 14:05:39vstinnercreate